@import 'variables';

.eventSummaryPage {
  --color-link: var(--color-bus);

  --fontsize-link: var(--fontsize-body-m);

  --fontweight-link: 500;

  --grid-gap: var(--spacing-m);

  --publish-section-border-color: #979797;
}

.eventSummaryPage {
  padding-bottom: $paddingBottomPage;

  h1 {
    font-size: var(--fontsize-heading-l);
    margin: 1rem 0 2rem;
  }

  h2 {
    font-size: var(--fontsize-heading-s);
  }

  .link {
    color: var(--color-link);
    font-size: var(--fontsize-link);
    font-weight: var(--fontweight-link);
    text-decoration: none;
    display: flex;
    justify-content: space-between;

    svg {
      margin-right: 1rem;
    }
  }

  .count {
    font-weight: normal;
    margin-left: 0.5rem;
  }

  .sectionTitleRow {
    display: grid;
    grid-template-columns: 1fr auto;
    grid-gap: (var(--grid-gap));
    align-items: flex-end;
    margin: var(--spacing-s) 0;

    h2 {
      margin: 0;
    }
  }

  .titleRow {
    display: grid;
    grid-template-columns: 1fr auto;
    grid-gap: (var(--grid-gap));
    align-items: center;
    margin: 1rem 0 2rem;

    h1 {
      margin: 0;
    }
  }

  .publishSection {
    display: flex;
    padding: var(--spacing-s) var(--spacing-m);
    border: 1px solid var(--publish-section-border-color);
    align-items: center;

    .publishButton {
      margin-left: auto;
    }

    > *:not(:last-child) {
      margin-right: var(--spacing-l);
      margin-top: 0 !important;
    }
  }

  .showMoreButtonWrapper {
    text-align: center;
    color: var(--color-link);
    font-size: var(--fontsize-link);
    font-weight: var(--fontweight-link);
    text-decoration: none;
  }

  .stepsContainer {
    margin: var(--spacing-l) 0;
  }

  .summarySection {
    margin: var(--spacing-l) 0;
  }
}
